Subject: bug#31315: wrong font encoding for fallback font

From: Werner LEMBERG <[email-masked]>
Date: Tue, 01 May 2018 08:47:23 +0200 (CEST)

>>> I think it should be gb18030-2-byte, both as encoding and repertory.
>>
>> Well, if we want to limit the repertory, then why not
>> gb18030-4-byte-bmp, which AFAIU is the mandatory part of gb18030?
> 
> All gb18030 encoded fonts I found only provide 2-byte codes.

You actually have found a font encoded in GB18030?  Which one?  I have
never seen that.

> That may be an inherent limitation.

The limitation is not 2-byte codes but the number of glyphs in a font.
An .otf or .ttf font can't hold more than 2^16 glyphs.  It is thus
common to have separate fonts for accessing glyphs from U+10000 and
higher.

    Werner